---
test-sles12:
  stage: test
  artifacts:
    name: "-"
    paths:
      - "*.rpm"
      - "artifacts"
    expire_in: 120 days
  image:
    name: registry.gitlab.com/saltstack/open/cicd/containers/pkg-sles12:latest
  tags:
    - docker
  script:
    - "chmod -R g-w,o-w . && umask 0022"
    - if [ -n "$ARTIFACTORY_HOST" ] && [ -n "$ARTIFACTORY_USERNAME" ] && [ -n "$ARTIFACTORY_API_TOKEN" ]; then echo "machine $ARTIFACTORY_HOST login $ARTIFACTORY_USERNAME password $ARTIFACTORY_API_TOKEN" > ~/.netrc ; fi
    - if [ -n "$DEVELOPMENT_PKGR" ];   then pip3 install $DEVELOPMENT_PKGR;   else curl -fsSL ${PKGR_BIN_URL:-https://repo.saltproject.io/pkgr/singlebin/1/pkgr-1-1-linux-amd64.tar.gz}       |tar -zxvf - -C /usr/local/bin && chmod +x /usr/local/bin/pkgr;   fi
    - if [ -n "$DEVELOPMENT_TIAMAT" ]; then pip3 install $DEVELOPMENT_TIAMAT; else curl -fsSL ${TIAMAT_BIN_URL:-https://repo.saltproject.io/tiamat/singlebin/7/tiamat-7-1-linux-amd64.tar.gz} |tar -zxvf - -C /usr/local/bin && chmod +x /usr/local/bin/tiamat; fi
    - if [ -n "$DEVELOPMENT_BODGER" ]; then pip3 install $DEVELOPMENT_BODGER; else curl -fsSL ${BODGER_BIN_URL:-https://repo.saltproject.io/bodger/singlebin/4.2-1/bodger-4.2-1-linux-amd64.tar.gz} |tar -zxvf - -C /usr/local/bin && chmod +x /usr/local/bin/bodger; fi
    - bodger test
